# Liiibre for Nextcloud

This application adds Liiibre apps in Nextcloud top bar and settings menu.

This app is inspired/forked from [Nextcloud External Sites](https://github.com/nextcloud/external)

## How to configure 

It can add 4 sites to your nextcloud: 
- Chat 
- Visio
- SSO Account URL
- SSO Admin URL - only visible to admin users

Use occ command to add Liiibre sites:

```
/usr/local/bin/php occ config:app:set liiibre chat_url --value "${CHAT_URL}"
/usr/local/bin/php occ config:app:set liiibre visio_url --value "${VISIO_URL}"
/usr/local/bin/php occ config:app:set liiibre sso_account_url --value "${ACCOUNT_URL}"
/usr/local/bin/php occ config:app:set liiibre sso_admin_url --value "${ADMIN_URL}"
```

To remove a site use:
```
/usr/local/bin/php occ config:app:delete liiibre chat_url
...
```
